import { InvocationType } from '@aws-sdk/client-lambda';
export interface IChronosLambdaClientService {
    /**
     *
     * @param payload is Chronos lambda-to-lambda request body
     * @param loggerInstance is chronos logger instance
     * @param invocationType is AWS Lambda invocationType ("Event" | "RequestResponse" | "DryRun")
     * @returns object with execution response
     */
    invokeChronosLambda(payload: Record<string, Object>, loggerInstance: any, invocationType?: InvocationType): Promise<Object>;
}
