import 'reflect-metadata';
export type BusinessEventTypes = 'saveNotification' | 'sendRealTimeNotification' | 'updateCAMUNDA' | 'sendEmail' | 'updateUserReport' | 'sendExecutiveIMNotification' | 'sendExecutiveEmailNotification';
export declare class NotificationVars {
    'var_name': string;
    'value': string;
}
export declare class BusinessNotificationData {
    'notification_code'?: string;
    'user_id'?: string;
    'executive_email'?: string;
    'timestamp'?: string;
    'internal_message'?: string;
    'ext_sys_message'?: string;
    'notification_vars'?: Array<NotificationVars>;
}
export declare class BusinessEvent {
    'business_event_types': Array<BusinessEventTypes>;
    'data': BusinessNotificationData;
}
