"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessEvent = exports.BusinessNotificationData = exports.NotificationVars = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
require("reflect-metadata");
class NotificationVars {
}
exports.NotificationVars = NotificationVars;
class BusinessNotificationData {
}
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "notification_code", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "user_id", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "executive_email", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "timestamp", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "internal_message", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "ext_sys_message", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsOptional)()
], BusinessNotificationData.prototype, "notification_vars", void 0);
exports.BusinessNotificationData = BusinessNotificationData;
class BusinessEvent {
}
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.IsArray)()
    //@IsIn(['saveNotification', 'sendRealTimeNotification', 'updateCAMUNDA', 'sendEmail', 'updateUserReport'])
], BusinessEvent.prototype, "business_event_types", void 0);
__decorate([
    (0, class_transformer_1.Expose)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => BusinessNotificationData)
], BusinessEvent.prototype, "data", void 0);
exports.BusinessEvent = BusinessEvent;
//# sourceMappingURL=BusinessEventModel.js.map