declare const API_HANDLER: string;
declare const UNEXPECTED_ERROR_CODE: string;
declare const DYNAMIC_ERROR_CODE: string;
declare const SUCCESSFUL_CODE: string;
declare const WARNING_CODE: string;
declare const SUCCESSFUL_MESSAGE: string;
declare const EXTERNAL_VALIDATION_PROVIDERS: string[];
declare const INFO_LEVEL: string;
declare const WARNING_LEVEL: string;
declare const ERROR_LEVEL: string;
declare const WARM_SOURCE: string;
declare const WARM_LAMBDA_MESSAGE: string;
declare const HTTP_SUCCESS_CODE: number;
declare const MISSING_PARAMS_ERROR: (errorString: string) => Error;
declare const MISSING_BODY_ERROR: Error;
declare enum ResourcePath {
    PATH_BROKER_EXECUTIVE = "broker/executive"
}
export { API_HANDLER, ERROR_LEVEL, HTTP_SUCCESS_CODE, INFO_LEVEL, SUCCESSFUL_CODE, SUCCESSFUL_MESSAGE, UNEXPECTED_ERROR_CODE, WARNING_LEVEL, WARNING_CODE, WARM_SOURCE, WARM_LAMBDA_MESSAGE, DYNAMIC_ERROR_CODE, MISSING_PARAMS_ERROR, MISSING_BODY_ERROR, ResourcePath, EXTERNAL_VALIDATION_PROVIDERS };
