"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EXTERNAL_VALIDATION_PROVIDERS = exports.ResourcePath = exports.MISSING_BODY_ERROR = exports.MISSING_PARAMS_ERROR = exports.DYNAMIC_ERROR_CODE = exports.WARM_LAMBDA_MESSAGE = exports.WARM_SOURCE = exports.WARNING_CODE = exports.WARNING_LEVEL = exports.UNEXPECTED_ERROR_CODE = exports.SUCCESSFUL_MESSAGE = exports.SUCCESSFUL_CODE = exports.INFO_LEVEL = exports.HTTP_SUCCESS_CODE = exports.ERROR_LEVEL = exports.API_HANDLER = void 0;
const API_HANDLER = 'Handler';
exports.API_HANDLER = API_HANDLER;
const UNEXPECTED_ERROR_CODE = 'EL5009999';
exports.UNEXPECTED_ERROR_CODE = UNEXPECTED_ERROR_CODE;
const DYNAMIC_ERROR_CODE = 'EL5009999';
exports.DYNAMIC_ERROR_CODE = DYNAMIC_ERROR_CODE;
const SUCCESSFUL_CODE = 'IL2001000';
exports.SUCCESSFUL_CODE = SUCCESSFUL_CODE;
const WARNING_CODE = 'IL1001000';
exports.WARNING_CODE = WARNING_CODE;
const SUCCESSFUL_MESSAGE = 'Successful operation';
exports.SUCCESSFUL_MESSAGE = SUCCESSFUL_MESSAGE;
const EXTERNAL_VALIDATION_PROVIDERS = ['https://pserverlogin.sisec.mx'];
exports.EXTERNAL_VALIDATION_PROVIDERS = EXTERNAL_VALIDATION_PROVIDERS;
const INFO_LEVEL = 'INFO';
exports.INFO_LEVEL = INFO_LEVEL;
const WARNING_LEVEL = 'WARNING';
exports.WARNING_LEVEL = WARNING_LEVEL;
const ERROR_LEVEL = 'ERROR';
exports.ERROR_LEVEL = ERROR_LEVEL;
const WARM_SOURCE = 'serverless-plugin-warmup';
exports.WARM_SOURCE = WARM_SOURCE;
const WARM_LAMBDA_MESSAGE = 'Lambda function has been warmed up';
exports.WARM_LAMBDA_MESSAGE = WARM_LAMBDA_MESSAGE;
const HTTP_SUCCESS_CODE = 200;
exports.HTTP_SUCCESS_CODE = HTTP_SUCCESS_CODE;
const MISSING_PARAMS_ERROR = (errorString) => { return new Error(`Dynamic_Error ${errorString}`); };
exports.MISSING_PARAMS_ERROR = MISSING_PARAMS_ERROR;
const MISSING_BODY_ERROR = new Error('Missing_Body');
exports.MISSING_BODY_ERROR = MISSING_BODY_ERROR;
var ResourcePath;
(function (ResourcePath) {
    ResourcePath["PATH_BROKER_EXECUTIVE"] = "broker/executive";
})(ResourcePath || (ResourcePath = {}));
exports.ResourcePath = ResourcePath;
//# sourceMappingURL=Constants.js.map