type EconomicActivityEnum = 'SALARIED_EMPLOYEE' | 'PFAE' | 'INDEPENDENT' | 'BUSINESS_PERSON';
declare class FullGeolocation {
    lat: string;
    lng: string;
    timestamp?: Date;
}
declare class EconomicActivity {
    activity_type?: EconomicActivityEnum;
    monthly_income?: number;
}
export declare class UserDataModel {
    id: string;
    email: string;
    nick_name: string;
    lead_id: string;
    phone_number: string;
    landline?: string;
    phone_verified: boolean;
    otp_code: string;
    otp_valid_until: string;
    otp_attempts: number;
    email_verified: boolean;
    email_code: string;
    email_code_valid_until: string;
    email_attempts: number;
    broker_id: string;
    executive_email?: string;
    referer: string;
    economic_activities: EconomicActivity[];
    geolocation: FullGeolocation;
    redirect_verification: string;
    interested_in_offer: boolean;
    rejection_reason: string;
    phone_contact: boolean;
    created_at: string;
    updated_at: string;
    accept_terms_and_conditions: boolean;
    status?: string;
    constructor(id: any, email: any, nick_name: any, lead_id: any, phone_number: any, phone_verified: any, otp_code: any, otp_valid_until: any, otp_attempts: any, email_verified: any, email_code: any, email_code_valid_until: any, email_attempts: any, broker_id: any, referer: any, economic_activities: any, geolocation: any, redirect_verification: any, interested_in_offer: any, rejection_reason: any, phone_contact: any, created_at: any, updated_at: any);
}
export {};
