import { NotificationTopicService } from '..';
import { BusinessEvent } from '../models/BusinessEventModel';
export declare class BusinessNotificationTopicService extends NotificationTopicService {
    /**
     *
     * @param environment may be prod, qa, dev
     * @param region is AWS Region
     * @param topicEndpoint is optional AWS Topic Endpoint
     * @param payload is BusinessEvent
     * @param topicArn is AWS Topic ARN
     */
    static sendBusinessNotification(environment: string, region: string, payload: BusinessEvent, topicArn: string, topicEndpoint?: string): Promise<void>;
}
