"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessNotificationTopicService = void 0;
const __1 = require("..");
const NotificationModel_1 = require("../models/NotificationModel");
class BusinessNotificationTopicService extends __1.NotificationTopicService {
    /**
     *
     * @param environment may be prod, qa, dev
     * @param region is AWS Region
     * @param topicEndpoint is optional AWS Topic Endpoint
     * @param payload is BusinessEvent
     * @param topicArn is AWS Topic ARN
     */
    static async sendBusinessNotification(environment, region, payload, topicArn, topicEndpoint) {
        const businessNotificationModel = new NotificationModel_1.BusinessNotificationModel(environment, region, payload, topicArn, topicEndpoint);
        await this.sendNotificationTopic(businessNotificationModel);
    }
}
exports.BusinessNotificationTopicService = BusinessNotificationTopicService;
//# sourceMappingURL=BuisnessNotificationTopicService.js.map