export declare class ErrorHandlerService {
    handleError(request: any): {
        statusCode: number;
        body: string;
    };
    searchError(lambda: string, errorMessage: string, event: any, errorStack: any): {
        statusCode: number;
        body: string;
    };
    formatApiError(statusCode: number, code: string, level: string, error: string): {
        statusCode: number;
        headers: {
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Origin': string;
            'Access-Control-Allow-Methods': string;
        };
        body: string;
    };
    formatLambdaError(statusCode: number, code: string, error: string): {
        statusCode: number;
        body: string;
    };
}
