"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ACLEnum = exports.LambdaInvocationTypeEnum = exports.EnvironmentEnum = void 0;
var EnvironmentEnum;
(function (EnvironmentEnum) {
    EnvironmentEnum["LOCAL_STAGE"] = "local";
    EnvironmentEnum["DEV_STAGE"] = "dev";
    EnvironmentEnum["QA_STAGE"] = "qa";
    EnvironmentEnum["PROD_STAGE"] = "prod";
})(EnvironmentEnum = exports.EnvironmentEnum || (exports.EnvironmentEnum = {}));
var LambdaInvocationTypeEnum;
(function (LambdaInvocationTypeEnum) {
    LambdaInvocationTypeEnum["REQUEST_RESPONSE"] = "RequestResponse";
    LambdaInvocationTypeEnum["EVENT"] = "Event";
    LambdaInvocationTypeEnum["DRY_RUN"] = "DryRun";
})(LambdaInvocationTypeEnum = exports.LambdaInvocationTypeEnum || (exports.LambdaInvocationTypeEnum = {}));
var ACLEnum;
(function (ACLEnum) {
    ACLEnum["PRIVATE"] = "private";
    ACLEnum["PUBLIC_READ"] = "public-read";
    ACLEnum["PUBLIC_READ_WRITE"] = "public-read-write";
    ACLEnum["AWS_EXEC_READ"] = "aws-exec-read";
    ACLEnum["AUTHENTICATED_READ"] = "authenticated-read";
    ACLEnum["BUCKET_OWNER_READ"] = "bucket-owner-read";
    ACLEnum["BUCKET_OWNER_FULL_CONTROL"] = "bucket-owner-full-control";
    ACLEnum["LOG_DELIVERY_WRITE"] = "log-delivery-write";
})(ACLEnum = exports.ACLEnum || (exports.ACLEnum = {}));
//# sourceMappingURL=Enums.js.map